Package org.apache.solr.client.solrj.impl

## Class BinaryRequestWriter

- java.lang.Object
- - org.apache.solr.client.solrj.request.RequestWriter
  - - org.apache.solr.client.solrj.impl.BinaryRequestWriter

    public class BinaryRequestWriter
    extends RequestWriter

A RequestWriter which writes requests in the javabin format

Since:
  solr 1.4
See Also:
  `RequestWriter`

### Nested Class Summary

Nested Classes
`static class` `BinaryRequestWriter.BAOS`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.RequestWriter

`RequestWriter.ContentWriter, RequestWriter.StringPayloadContentWriter`

### Constructor Summary

Constructors
`BinaryRequestWriter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<ContentStream>` `getContentStreams​(SolrRequest<?> req)`
`RequestWriter.ContentWriter` `getContentWriter​(SolrRequest<?> req)` Use this to do a push writing instead of pull.
`String` `getUpdateContentType()`
`void` `write​(SolrRequest<?> request, OutputStream os)`

### Methods inherited from class org.apache.solr.client.solrj.request.RequestWriter

`getPath, isEmpty, isNull, isNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryRequestWriter

    public BinaryRequestWriter()

### Method Detail

#### getContentWriter

    public RequestWriter.ContentWriter getContentWriter​(SolrRequest<?> req)

Description copied from class: `RequestWriter`
Use this to do a push writing instead of pull. If this method returns null `RequestWriter.getContentStreams(SolrRequest)` is invoked to do a pull write.

Overrides:
  `getContentWriter` in class `RequestWriter`

#### getContentStreams

    public Collection<ContentStream> getContentStreams​(SolrRequest<?> req)
                                                throws IOException

Overrides:
  `getContentStreams` in class `RequestWriter`
Throws:
  `IOException`

#### getUpdateContentType

    public String getUpdateContentType()

Overrides:
  `getUpdateContentType` in class `RequestWriter`

#### write

    public void write​(SolrRequest<?> request,
                      OutputStream os)
               throws IOException

Overrides:
  `write` in class `RequestWriter`
Throws:
  `IOException`